Ticket #192 (closed bug: fixed)

Opened 6 years ago

Last modified 2 years ago

libffad0-2.0-rc1 SConstruct typing error prevents build

Reported by: andrew hately Assigned to: arnonym
Priority: minor Milestone: FFADO 2.1
Component: Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

SConstruct, line 553, "subdir" should be "subdirs".

Fragment of current file

subdirs=['external','src','libffado','tests','support','doc'] if build_base:

env.SConscript( dirs=subdirs, exports="env", build_dir=build_base+subdir )

here "subdir" is a new variable with no value.

Linking subsequently fails with unresolved references

Should be: subdirs=['external','src','libffado','tests','support','doc'] if build_base:

env.SConscript( dirs=subdirs, exports="env", build_dir=build_base+subdirs )

The joy of python. :-)

Change History

01/03/09 02:14:45 changed by arnonym

  • status changed from new to assigned.
  • owner set to arnonym.

I don't know (yet) what ppalmers intended by adding subdir to the build_dir argument, but your fix seems to be wrong: subdirs is a list while build_dir expects a single path... Will look into it.

Which python and scons versions are you using?

01/03/09 05:44:26 changed by arnonym

Hmm, running scons fails with BUILDDIR=tmp regardless whether I use

build_dir=build_base

or

build_dir=build_base+subdir

or

build_dir=build_base+subdirs

or

build_dir=builddirs (where builddirs is a selfconcenated list of build_base + subdirs)

The error is that scons (in version 0.97) doesn't allow multiple sconscripts together with build_dir. And for later versions its changed completely to variantdir...

I think we should disable the BUILDDIR-option...

09/13/09 12:37:22 changed by arnonym

  • version changed from FFADO 2.0-rc1 (1.999.40) to FFADO SVN (trunk).
  • milestone changed from FFADO 2.0 to FFADO 2.1.

"fixed" for the 2.0 branch in r1661...

11/02/09 02:33:54 changed by jwoithe

Arnold: do you consider this "fix" to be suitable for trunk as well? If so could we close this ticket after porting the fix to trunk?

11/02/09 02:54:14 changed by arnonym

The thing is that ppalmers seems to use builddir != srcdir which this part of the build-system is concerned with.

For the branch it makes sense to disable that if it just imposes problems as packagers shouldn't need builddir != srcdir.

For trunk it could be that ppalmers wants to fix this. And it doesn't affect others with builddir == srcdir...

11/02/09 04:00:42 changed by jwoithe

Ok, that sounds fair. We'll leave it as is until Pieter clarifies the situation. In any case it's clearly not a showstopper for 2.0 anymore.

11/02/09 04:44:46 changed by arnonym

Well, there is a reason this bug isn't assigned to the 2.0 milestone anymore...

03/28/12 02:47:52 changed by jwoithe

  • status changed from assigned to closed.
  • resolution set to fixed.

The removal of BUILDDIR and its associated infrastructure from the 2.0 branch in r1661 was merged with trunk in r1763. Therefore this ticket is no longer relevant; it is considered fixed.